
QGIS Application - Bug report #17784

Deleting label text deletes the whole label

2018-01-04 09:28 AM - Tim Sutton

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25680

Description

On MacOS if I create a composer label and then try to highlight the default text in the item properties (not the expression editor) then

delete using the backspace key, it removes the entire label widget not just the item property text.

For a small gif illustrating this, see https://github.com/qgis/QGIS/pull/5966#issuecomment-355085980

Associated revisions

Revision 8db10ef7 - 2018-01-29 06:35 AM - Nyall Dawson

Attempt to fix #17784, shortcuts in layouts are applied

in child widgets on OSX

History

#1 - 2018-01-05 01:33 AM - Nyall Dawson

To confirm - you see this with composer too? What about in 2.x?

#2 - 2018-01-06 08:21 PM - Tim Sutton

Hi sorry - gotta get used to the new terminology - I have the problem in layouts.

I tested in 2.18 and don't have the issue there with composer.

#3 - 2018-01-29 06:35 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8db10ef71ca56845ec77dd288c0f80bea42ca25b.

#4 - 2018-02-22 10:56 AM - Giovanni Manghi

- Resolution set to fixed/implemented
